<!DOCTYPE html>
<html lang="ko"
	xmlns:th="http://www.thymeleaf.org">
<!--
 *******************************************************************************
 * @source  : GoodsDetailQnaFormWeb.html
 * @desc	: 상품 문의정보 Page
 *============================================================================
 * STYLE24
 * Copyright(C) 2020 TSIT, All rights reserved.
 *============================================================================
 * VER  DATE		 AUTHOR		 DESCRIPTION
 * ===  ===========  ==========  =============================================
 * 1.0  2021.03.26   eskim	   최초 작성
 *******************************************************************************
 -->
	<!-- 상품문의 리스트 내용 -->
	<div class="pd_qnalist">
	<form id="goodsQnaForm" name="goodsQnaForm" action="#" th:action="@{'/goods/qna/list'}">
	<input type="hidden" name="pageNo" value ="1"/>
	<input type="hidden" name="pageSize" value ="20"/>
	<input type="hidden" name="relGoodsCd" th:value ="${goodsInfo.goodsCd}"/>
		<div class="info_txt">
			<ul>
				<li>상품에 대해 궁금한 점이 있으시다면 문의해주세요.</li>
				<li>배송, 주문/결제, 취소/반품/교환/환불, 회원, 쿠폰/포인트, 이벤트 등의 자세한 문의사항은 고객센터 > 1:1문의를 이용하여 주시기 바랍니다.</li>
			</ul>			  
			<div class="btn_box">
				<button type="button" class="btn btn_default" onclick="cfnGoToPage(_PAGE_ONETOONE_QNA);"><span>고객센터 1:1문의</span></button>
				<button type="button" class="btn btn_dark" th:onclick="cfGoodsQngCreate([[${goodsInfo.goodsCd}]] )"><span>상품 문의하기</span></button>
			</div>	 
		</div>
		<div class="qna_list">
			<!-- 나열조건결과 있을 때 노출 내용 -->
			<div class="form_field check_secret" style="display:none;">
				<input id="except_secret" name="except_secret" type="checkbox"  onclick="fnGoodsQnaList();"><label for="except_secret"><span>비밀글제외</span></label>
				<input  type="hidden" name="secretYn" >
			</div>
			<div class="ui_row">
				<div class="foldGroup case1">
					<ul id="ulGoodsQna">
					</ul>
				</div>
			</div>
			<div class="ui_foot"  style="display:none;">
				<div class="ui_row">
					<ul class="pageNav" id="goodsQnaPageNav">
					</ul>
				</div>			
			</div>
			<!-- //나열조건결과 있을 때 노출 내용 -->
			<!-- 나열조건결과 없을 때 노출 내용 -->
			<div class="nodata" >
				<div class="txt_box">
					<p>
						등록된 상품문의가 없습니다.
					</p>
				</div>
			</div>
			<!-- //나열조건결과 없을 때 노출 내용 -->
		</div>
	</form>	
	</div>
<script src="/ux/plugins/gaga/gaga.paging.js"></script>
<script th:inline="javascript">
/*<![CDATA[*/
	
	var fnGoodsQnaList = function() {
		
		// 상품문의창 닫기
		//$("#layer_goods_qna_reg").modal("hide");
		//cfCloseLayer('layer_goods_qna_reg');
		$('#layer_goods_qna_reg').find('.close-modal').trigger("click");
	
		$('#goodsQnaForm  input[name="secretYn"]').val('');
		if ($("#goodsQnaForm input:checkbox[name=except_secret]").is(':checked')){
			$('#goodsQnaForm  input[name="secretYn"]').val('N');
		}
		// Initialize a pagination
		gagaPaging.init('goodsQnaForm', fnGoodsQnaListCallback, 'goodsQnaPageNav', 20);

		// Load data
		gagaPaging.load(1);
	}
	
	var fnGoodsQnaListCallback = function(result) {
		$('#ulGoodsQna').html('');
		$('#goodsQnaForm').find('.nodata').hide();
		// 목록
		if (result.dataList != null && result.dataList.length > 0) {
			
			$.each(result.dataList, function(idx, item) {
				let tag = '<li class="';  // <!-- 내가 쓴 글에 클래스 my_qna 추가 -->
				if (item.selfGb == 1){
					tag += ' my_qna';	
				}else if (item.secretYn == "Y"){
					tag += ' secret_qna';
				}
				tag += ' ">\n';  // <!-- 내가 쓴 글에 클래스 my_qna 추가 -->
				tag += '	<div class="fold_head">\n';
				tag += '		<a href="javascript:void(0)">\n';
				tag += '			<div>\n';
				tag += '				<span class="fold_state ' + (item.ansStat == "G060_10" ? "doing" : "done") + '">' + item.ansStatNm + '</span>\n'; //답변완료 : done / 처리중 : doing
				tag += '				<div class="fold_tit">\n';
				tag += '					<span>' + item.questContent.escapeHtml() + '</span>\n';
				if (item.secretYn == "Y"){
				tag += '					<i class="ico ico_secret"></i>\n';	//비밀글에 추가되는 아이콘
				}
				if (item.selfGb == 1){
				tag += '					<i class="ico ico_myqna"></i>\n';	//내가 쓴 글에 추가되는 아이콘
				}
				tag += '				</div>\n';
				tag += '				<div class="data">\n';
				tag += '					<span class="wr_id">'+ item.maskingCustId+'</span>\n';
				tag += '					<span class="wr_data">' + item.questDt + '</span>\n';
				tag += '				</div>\n';
				tag += '			</div>\n';
				tag += '		</a>\n';
				tag += '	</div>\n';
				tag += '	<div class="fold_cont" style="display: none;">\n';
				tag += '		<div class="fold_detail">\n'; //문의 내용
				tag += '			<div>\n'; 
				tag += '				<p>' + item.questContent.escapeHtml() + '</p>\n';
				tag += '			</div>\n';
				tag += '		</div>\n';
				
				if (item.ansStat == 'G060_20') { // 답변완료 상태일 때
					tag += '	<div class="fold_answer">\n'; //문의 답변
					tag += '		<div class="answer_head">답변이 등록되었습니다.</div>\n';
					tag += '		<div class="answer_body">' + item.ansContent + '</div>\n';
					tag += '		<span class="data">' + item.ansDt + '</span>\n';
					tag += '	</div>\n';
				}
				
				tag += '	</div>\n';
				tag += '</li>\n';
				
				$('#ulGoodsQna').append(tag);
				$('#goodsQnaForm').find('.ui_foot').show();
				$('#goodsQnaForm').find('.form_field.check_secret').show();
			});
		} else {
			$('#goodsQnaForm').find('.nodata').show();
			$('#goodsQnaForm').find('.ui_foot').hide();
			$('#goodsQnaForm').find('.form_field.check_secret').hide();
		}
		
		// Create pagination
		gagaPaging.createPagination(result.paging.pageable);
		
		/* if ('G056_N' == $('#cartForm input[name=goodsType]')){
			$('.ex_qna').find('.number').html('('+ result.paging.pageable.totalCount +')');	
		}else{
			$('.pd_qnalist').find('.select_custom.deal_opt_item').find('.combo .select').find('.itemPostCount').html('(문의 '+ result.paging.pageable.totalCount +')');	
		} */
		
	}
	
	$(document).ready(function() {
		//fnGoodsQnaList();
	});
	
/*]]>*/
</script>	
 </html>